'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getHighlightEditStyle = getHighlightEditStyle;
var BINARY_COLOR_SAND_90 = exports.BINARY_COLOR_SAND_90 = '#ebe7e0';
var BINARY_COLOR_SAND_80 = exports.BINARY_COLOR_SAND_80 = '#d6cfc2';
var BINARY_COLOR_SAND_70 = exports.BINARY_COLOR_SAND_70 = '#c2b8a3';
var BINARY_COLOR_SAND_60 = exports.BINARY_COLOR_SAND_60 = '#ada085';
var BINARY_COLOR_SAND_50 = exports.BINARY_COLOR_SAND_50 = '#998866';
var BINARY_COLOR_SAND_40 = exports.BINARY_COLOR_SAND_40 = '#7a6d52';
var BINARY_COLOR_SAND_30 = exports.BINARY_COLOR_SAND_30 = '#5c523d';
var BINARY_COLOR_SAND_20 = exports.BINARY_COLOR_SAND_20 = '#3d3629';
var BINARY_COLOR_SAND_10 = exports.BINARY_COLOR_SAND_10 = '#1f1b14';

var BINARY_COLOR_GRAY_90 = exports.BINARY_COLOR_GRAY_90 = '#e6e6e6';
var BINARY_COLOR_GRAY_80 = exports.BINARY_COLOR_GRAY_80 = '#cccccc';
var BINARY_COLOR_GRAY_70 = exports.BINARY_COLOR_GRAY_70 = '#b3b3b3';
var BINARY_COLOR_GRAY_60 = exports.BINARY_COLOR_GRAY_60 = '#999999';
var BINARY_COLOR_GRAY_50 = exports.BINARY_COLOR_GRAY_50 = '#808080';
var BINARY_COLOR_GRAY_40 = exports.BINARY_COLOR_GRAY_40 = '#666666';
var BINARY_COLOR_GRAY_30 = exports.BINARY_COLOR_GRAY_30 = '#4d4d4d';
var BINARY_COLOR_GRAY_20 = exports.BINARY_COLOR_GRAY_20 = '#333333';
var BINARY_COLOR_GRAY_10 = exports.BINARY_COLOR_GRAY_10 = '#1a1a1a';

var BINARY_COLOR_BLUE_90 = exports.BINARY_COLOR_BLUE_90 = '#ccf1ff';
var BINARY_COLOR_BLUE_80 = exports.BINARY_COLOR_BLUE_80 = '#99e2ff';
var BINARY_COLOR_BLUE_70 = exports.BINARY_COLOR_BLUE_70 = '#66d4ff';
var BINARY_COLOR_BLUE_60 = exports.BINARY_COLOR_BLUE_60 = '#33c5ff';
var BINARY_COLOR_BLUE_50 = exports.BINARY_COLOR_BLUE_50 = '#00b7ff';
var BINARY_COLOR_BLUE_40 = exports.BINARY_COLOR_BLUE_40 = '#0092cc';
var BINARY_COLOR_BLUE_30 = exports.BINARY_COLOR_BLUE_30 = '#006e99';
var BINARY_COLOR_BLUE_20 = exports.BINARY_COLOR_BLUE_20 = '#004966';
var BINARY_COLOR_BLUE_10 = exports.BINARY_COLOR_BLUE_10 = '#002533';

var BINARY_COLOR_RED_90 = exports.BINARY_COLOR_RED_90 = '#fecdd9';
var BINARY_COLOR_RED_80 = exports.BINARY_COLOR_RED_80 = '#fd9bb3';
var BINARY_COLOR_RED_70 = exports.BINARY_COLOR_RED_70 = '#fd688d';
var BINARY_COLOR_RED_60 = exports.BINARY_COLOR_RED_60 = '#fc3668';
var BINARY_COLOR_RED_50 = exports.BINARY_COLOR_RED_50 = '#fb0442';
var BINARY_COLOR_RED_40 = exports.BINARY_COLOR_RED_40 = '#c90335';
var BINARY_COLOR_RED_30 = exports.BINARY_COLOR_RED_30 = '#970227';
var BINARY_COLOR_RED_20 = exports.BINARY_COLOR_RED_20 = '#64021a';
var BINARY_COLOR_RED_10 = exports.BINARY_COLOR_RED_10 = '#32010d';

var BINARY_COLOR_GREEN_90 = exports.BINARY_COLOR_GREEN_90 = '#ccffef';
var BINARY_COLOR_GREEN_80 = exports.BINARY_COLOR_GREEN_80 = '#99ffdf';
var BINARY_COLOR_GREEN_70 = exports.BINARY_COLOR_GREEN_70 = '#66ffcf';
var BINARY_COLOR_GREEN_60 = exports.BINARY_COLOR_GREEN_60 = '#33ffbe';
var BINARY_COLOR_GREEN_50 = exports.BINARY_COLOR_GREEN_50 = '#00ffae';
var BINARY_COLOR_GREEN_40 = exports.BINARY_COLOR_GREEN_40 = '#00cc8b';
var BINARY_COLOR_GREEN_30 = exports.BINARY_COLOR_GREEN_30 = '#009969';
var BINARY_COLOR_GREEN_20 = exports.BINARY_COLOR_GREEN_20 = '#006646';
var BINARY_COLOR_GREEN_10 = exports.BINARY_COLOR_GREEN_10 = '#003323';

var BINARY_COLOR_YELLOW_90 = exports.BINARY_COLOR_YELLOW_90 = '#fff6cc';
var BINARY_COLOR_YELLOW_80 = exports.BINARY_COLOR_YELLOW_80 = '#ffee99';
var BINARY_COLOR_YELLOW_70 = exports.BINARY_COLOR_YELLOW_70 = '#ffe666';
var BINARY_COLOR_YELLOW_60 = exports.BINARY_COLOR_YELLOW_60 = '#ffdd33';
var BINARY_COLOR_YELLOW_50 = exports.BINARY_COLOR_YELLOW_50 = '#ffd500';
var BINARY_COLOR_YELLOW_40 = exports.BINARY_COLOR_YELLOW_40 = '#ccaa00';
var BINARY_COLOR_YELLOW_30 = exports.BINARY_COLOR_YELLOW_30 = '#998000';
var BINARY_COLOR_YELLOW_20 = exports.BINARY_COLOR_YELLOW_20 = '#665500';
var BINARY_COLOR_YELLOW_10 = exports.BINARY_COLOR_YELLOW_10 = '#332b00';

var BINARY_COLOR_SLATE_90 = exports.BINARY_COLOR_SLATE_90 = '#e2e3e9';
var BINARY_COLOR_SLATE_80 = exports.BINARY_COLOR_SLATE_80 = '#c5c7d3';
var BINARY_COLOR_SLATE_70 = exports.BINARY_COLOR_SLATE_70 = '#a9abbc';
var BINARY_COLOR_SLATE_60 = exports.BINARY_COLOR_SLATE_60 = '#8c8fa6';
var BINARY_COLOR_SLATE_50 = exports.BINARY_COLOR_SLATE_50 = '#6f7390';
var BINARY_COLOR_SLATE_40 = exports.BINARY_COLOR_SLATE_40 = '#595c73';
var BINARY_COLOR_SLATE_30 = exports.BINARY_COLOR_SLATE_30 = '#434556';
var BINARY_COLOR_SLATE_20 = exports.BINARY_COLOR_SLATE_20 = '#2c2e3a';
var BINARY_COLOR_SLATE_10 = exports.BINARY_COLOR_SLATE_10 = '#16171d';

var LIST_ITEM_HEIGHT = exports.LIST_ITEM_HEIGHT = 44;

var OPACITY_ACTIVE = exports.OPACITY_ACTIVE = 0.5;
var OPACITY_DISABLED = exports.OPACITY_DISABLED = 0.3;

// Note: This works on native and web as well. Be careful when making changes.
function getEditStyle(color) {
  return '\n    border-bottom-color: ' + color + ';\n    border-bottom-width: 1px;\n    border-left-width: 0;\n    border-right-width: 0;\n    border-top-width: 0;\n    border-style: solid;\n  ';
}

function getHighlightEditStyle(isEdit, isValid, isTypingHighlight, borderColor) {
  if (!isEdit) {
    return undefined;
  }
  if (!isValid) {
    return getEditStyle(BINARY_COLOR_RED_40);
  }
  if (isTypingHighlight) {
    return getEditStyle(BINARY_COLOR_BLUE_40);
  }
  if (borderColor) {
    return getEditStyle(borderColor);
  }
  return getEditStyle(BINARY_COLOR_SAND_90);
}